Leads
OTP verification status for a lead
Whether a successful OTP verification is logged for the given session (txId) or, failing that, for the given phone or email on this account within windowMinutes before before. Returns which channel matched and how.
GET
/
api
/
v2
/
workspaces
/
{workspaceId}
/
leads
/
verification
OTP verification status for a lead
curl --request GET \
--url https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"phone": true,
"email": true,
"matchedBy": "session"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
API key with ll_live_ prefix
Query Parameters
Was this page helpful?
⌘I
OTP verification status for a lead
curl --request GET \
--url https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.landerlab.dev/api/v2/workspaces/{workspaceId}/leads/verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"phone": true,
"email": true,
"matchedBy": "session"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}